Package org.apache.storm.pacemaker.codec

# Class ThriftEncoder

java.lang.Object
org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
org.apache.storm.shade.io.netty.channel.ChannelOutboundHandlerAdapter
org.apache.storm.shade.io.netty.handler.codec.MessageToMessageEncoder<Object>
org.apache.storm.pacemaker.codec.ThriftEncoder

All Implemented Interfaces:
  `org.apache.storm.shade.io.netty.channel.ChannelHandler`, `org.apache.storm.shade.io.netty.channel.ChannelOutboundHandler`

public class ThriftEncoder extends org.apache.storm.shade.io.netty.handler.codec.MessageToMessageEncoder<Object>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThriftEncoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `encode(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext channelHandlerContext, Object msg, List<Object> out)`

  ### Methods inherited from class org.apache.storm.shade.io.netty.handler.codec.MessageToMessageEncoder

  `acceptOutboundMessage, write`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelOutboundHandlerAdapter

  `bind, close, connect, deregister, disconnect, flush, read`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `exceptionCaught, handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### ThriftEncoder

    public ThriftEncoder()

- ## Method Details

  - ### encode

    protected void encode(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext channelHandlerContext, Object msg, List<Object> out) throws Exception
    Specified by:
      `encode` in class `org.apache.storm.shade.io.netty.handler.codec.MessageToMessageEncoder<Object>`
    Throws:
      `Exception`